RDKit::ForwardSDMolSupplier Class Reference

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::ForwardSDMolSupplier:

## Public Member Functions

| ForwardSDMolSupplier ()
| ForwardSDMolSupplier (std::istream *inStream, bool takeOwnership=true, bool sanitize=true, bool removeHs=true, bool strictParsing=false)
virtual | ~ForwardSDMolSupplier ()
virtual void | init ()
virtual void | reset ()
virtual ROMol * | next ()
virtual bool | atEnd ()
void | setProcessPropertyLists (bool val)
bool | getProcessPropertyLists () const
bool | getEOFHitOnRead () const
Public Member Functions inherited from RDKit::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()

## Protected Member Functions

virtual void | checkForEnd ()
ROMol * | _next ()
virtual void | readMolProps (ROMol *)

## Protected Attributes

bool | df_end = false
int | d_line = 0
bool | df_sanitize = true
bool | df_removeHs = true
bool | df_strictParsing = true
bool | df_processPropertyLists = true
bool | df_eofHitOnRead = false
Protected Attributes inherited from RDKit::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

Definition at line 82 of file MolSupplier.h.

## Constructor & Destructor Documentation

## ForwardSDMolSupplier() [1/2]

RDKit::ForwardSDMolSupplier::ForwardSDMolSupplier | ( |  | ) |

inline

Definition at line 88 of file MolSupplier.h.

## ForwardSDMolSupplier() [2/2]

RDKit::ForwardSDMolSupplier::ForwardSDMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = `true`,
|  | bool | sanitize = `true`,
|  | bool | removeHs = `true`,
|  | bool | strictParsing = `false`
| ) |  |

explicit

## ~ForwardSDMolSupplier()

virtual RDKit::ForwardSDMolSupplier::~ForwardSDMolSupplier | ( |  | ) |

inline virtual

Definition at line 95 of file MolSupplier.h.

## Member Function Documentation

## _next()

ROMol* RDKit::ForwardSDMolSupplier::_next | ( |  | ) |

protected

## atEnd()

virtual bool RDKit::ForwardSDMolSupplier::atEnd | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## checkForEnd()

virtual void RDKit::ForwardSDMolSupplier::checkForEnd | ( |  | ) |

protected virtual

## getEOFHitOnRead()

bool RDKit::ForwardSDMolSupplier::getEOFHitOnRead | ( |  | ) | const

inline

Definition at line 111 of file MolSupplier.h.

## getProcessPropertyLists()

bool RDKit::ForwardSDMolSupplier::getProcessPropertyLists | ( |  | ) | const

inline

Definition at line 109 of file MolSupplier.h.

## init()

virtual void RDKit::ForwardSDMolSupplier::init | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## next()

virtual ROMol* RDKit::ForwardSDMolSupplier::next | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## readMolProps()

virtual void RDKit::ForwardSDMolSupplier::readMolProps | ( | ROMol * |  | ) |

protected virtual

## reset()

virtual void RDKit::ForwardSDMolSupplier::reset | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

Reimplemented in RDKit::SDMolSupplier.

## setProcessPropertyLists()

void RDKit::ForwardSDMolSupplier::setProcessPropertyLists | ( | bool | val | ) |

inline

Definition at line 108 of file MolSupplier.h.

## Member Data Documentation

## d_line

int RDKit::ForwardSDMolSupplier::d_line = 0

protected

Definition at line 118 of file MolSupplier.h.

## df_end

bool RDKit::ForwardSDMolSupplier::df_end = false

protected

Definition at line 117 of file MolSupplier.h.

## df_eofHitOnRead

bool RDKit::ForwardSDMolSupplier::df_eofHitOnRead = false

protected

Definition at line 121 of file MolSupplier.h.

## df_processPropertyLists

bool RDKit::ForwardSDMolSupplier::df_processPropertyLists = true

protected

Definition at line 120 of file MolSupplier.h.

## df_removeHs

bool RDKit::ForwardSDMolSupplier::df_removeHs = true

protected

Definition at line 119 of file MolSupplier.h.

## df_sanitize

bool RDKit::ForwardSDMolSupplier::df_sanitize = true

protected

Definition at line 119 of file MolSupplier.h.

## df_strictParsing

bool RDKit::ForwardSDMolSupplier::df_strictParsing = true

protected

Definition at line 119 of file MolSupplier.h.

The documentation for this class was generated from the following file:

- MolSupplier.h